Bug 165163 - audit - syscall performance
audit - syscall performance
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
Depends On:
Blocks: 156322
  Show dependency treegraph
Reported: 2005-08-04 15:39 EDT by Linda Wang
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 09:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2005-08-04 15:39:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
with auditd on, system's performance degrade about 15% due to traversing the rules.  Therefore every system call is impacted with the overhead, which degrades the performance.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install RHEL4 U2
2.run time test...

Additional info:
Comment 1 Linda Wang 2005-08-05 09:40:57 EDT
comitted to 2.6.9-12.1 respin.  change state to MODIFIED
Comment 5 Red Hat Bugzilla 2005-10-05 09:48:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.